// Copyright (c) 2025 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UK2Node_SetFieldsInStruct.h"
#include "SCW_UK2Node_MakeStruct.h"

class UK2Node_SetFieldsInStruct;

namespace Sourcify
{
	class SCW_UK2Node_SetFieldsInStruct : public SCW_UK2Node_MakeStruct, public virtual ISCW_UK2Node_SetFieldsInStruct
	{
	public:
		SCW_UK2Node_SetFieldsInStruct(UK2Node_SetFieldsInStruct* InK2Node_SetFieldsInStruct);

		UK2Node_SetFieldsInStruct* ToUK2Node_SetFieldsInStruct() const;

		ISCW_UK2Node_SetFieldsInStructPtr ToUK2Node_SetFieldsInStructPtr() override;
		ISCW_UK2Node_SetFieldsInStructConstPtr ToUK2Node_SetFieldsInStructPtr() const override;

	protected:
		UK2Node_SetFieldsInStruct* K2Node_SetFieldsInStruct;
	};
} // namespace Sourcify